
GammaLib - Action #574

Feature # 104 (Closed): Refactor CTA response class

Introduce GCTAPsf class

10/16/2012 06:15 PM - Knödlseder Jürgen

Status: Closed Start date: 07/20/2012

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

History

#1 - 11/30/2012 09:54 PM - Knödlseder Jürgen

- Status changed from New to In Progress

#2 - 12/01/2012 02:00 AM - Knödlseder Jürgen

- Status changed from In Progress to Feedback

- Remaining (hours) set to 0.0

#3 - 12/01/2012 02:03 AM - Knödlseder Jürgen

- % Done changed from 0 to 100

- Estimated time set to 0.00

The GCTAPsf base class and the following derived classes have been implemented:

GCTAPsfPerfTable - deals with ASCII performance tables

GCTAPsfVector - deals with FITS vectors (for 1DC MAGIC response)

GCTAPsf2D - deals with FITS response tables

A Python unit test has been implemented that constructs the response instances and tests a couple of values.

An extended scientific validation is still pending.

#4 - 01/31/2013 04:47 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed

#5 - 05/15/2013 09:27 AM - Knödlseder Jürgen

- Target version changed from HESS sprint #1 to 00-08-00

#6 - 12/11/2013 10:18 PM - Knödlseder Jürgen

- Target version deleted (00-08-00)

#7 - 07/11/2014 04:15 PM - Knödlseder Jürgen

- Target version set to 1.0.0
